

#include <ultra64.h>

#include "include\config.h"

extern OSMesgQueue	SiMessageQ;
//extern OSPfs		pfs[NUM_CONT];

OSContStatus	statusData[NUM_CONT];
OSContPad		dummyControllerData = { 0, 0, 0, 0 };
OSContPad		controllerData[NUM_CONT];
OSContPad		*validControllerData[NUM_CONT];

int			activeControllers[NUM_CONT];
int			numControllers=0;

/*
 * Return how many controllers are connected
 * if there are more than <NUM_CONT> connected, return NUM_CONT
 * (ie specify how many controllers you want with NUM_CONT, and
 *  the return result is the number of controllers actually hooked up)
 */
void initControllers(void)
{
    int             i;
    u8              pattern;

    osContInit(&SiMessageQ,&pattern,statusData);
}

u32 initRumblePack(int contno)
{
  return -1; //osMotorInit(&n_siMessageQ, &pfs[contno], contno);
}
  
/*
 * return pointer to controller data for each connected controller
 * oneshot = which buttons to treat as one-shots ("fire" buttons)
 * oneshot is any of the button macros (eg CONT_B, CONT_LEFT) ored together)
 */
void readController(void)
{
  //MotorSiGetAccess();
  osContStartReadData(&SiMessageQ);
  osWritebackDCacheAll();
  osRecvMesg(&SiMessageQ, NULL, OS_MESG_BLOCK);
  //MotorSiRelAccess();
  osContGetReadData(controllerData);
}
