//----------------------------------------------------
// Type definitions
//----------------------------------------------------


typedef float vec3_t[3];


// Simple 3d object
typedef struct {
	vec3_t	pos;
	vec3_t	mov;	// for camera interpolation
	vec3_t	rot;
} simpleObj;


typedef struct {
	vec3_t	pos;
	vec3_t	rot;
	int		type;
} cubeObj;

typedef struct {
	vec3_t	pos;
	vec3_t	mov;	// for camera interpolation
	vec3_t	rot;
	int		type;
	int		x;
	int		y;
} selectObj;

typedef struct {
	vec3_t	pos;
	vec3_t	rot;

	int		x;
	int		y;

	float	expCount;
	float	scale;

} explodeObj;

typedef struct {
	
	vec3_t	pos;
	vec3_t	rot;

	float	sinCount;
	float	scale;

	float	dx;
	float	dy;

} globObj;






